Bug 556745 - Fuse based filesystem won't unmount on NFSv4 with Kerberos
Fuse based filesystem won't unmount on NFSv4 with Kerberos
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fuse (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-19 04:49 EST by Michael Eric Menk
Modified: 2010-12-03 19:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 19:09:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
strace of the faild unmount (2.57 KB, application/octet-stream)
2010-01-19 05:05 EST, Michael Eric Menk
no flags Details

  None (edit)
Description Michael Eric Menk 2010-01-19 04:49:38 EST
Description of problem:

Unmounting a fuse fileystem on a NFSv4 with kerberos fails.

As a the user, fusermount -u gives error:

umount: /home/[user]/mnt/winlnx_wwwroot: block devices not permitted on fs

As root, it gives:

fusermount: bad mount point /home/[user]/mnt/winlnx_wwwroot: Permission denied

The errormessage as root is correct behavior, as local root do not have access the exported filesystem.

Version-Release number of selected component (if applicable):

fusermount version: 2.8.1
Kernel: 2.6.31.9-174

How reproducible:


Steps to Reproduce:
1. Mount a fuse filesystem on a NFSv4
2. Unmount the filesystem using fusermount -u
  
Actual results:

No unmount posible

Expected results:

fuse drive unmounted

Additional info:

* This action works fine with NFSv3 (with the same user and computer)
* This acrion works fine on local filesystem (eg. in /tmp/)

All servers RHEL/CentOs 5.4

mount:
[server]:/home/[user] on /home/[user] type nfs4 (rw,sec=krb5,sloppy,addr=10.x.x.x,clientaddr=10.x.x.x)
Comment 1 Michael Eric Menk 2010-01-19 05:05:34 EST
Created attachment 385361 [details]
strace of the faild unmount

Strace of the bug in question
Comment 2 Bug Zapper 2010-11-03 20:32:58 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 19:09:53 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.